<?php
define('NTLCMS', 1);
$module = 'banks';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница рейтинга по банку - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Рейтинг по банку</b></div>';
$k_post = DB :: run() -> querySingle("select count(`id`) from `users` where `bank` <> '0'");		
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage; 
$sql = DB :: run() -> query("select (`login`), (`bank`) from `users` where `bank` <> '' and `id` <> '0' order by `bank` desc limit ".$start.", ".$onpage);
if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Рейтинг по банку пуст!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<div class="menu">'.ava($row -> login).' '.login($row -> login, 1).' <span class="count">'.coins(round($row -> bank, 3)).'</span></div>';
}
if ($k_page > 1) navigation(URL.'/rate_bank?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/rate">Рейтинги клуба</a></div>';
include ('../system/foot.php');
?>